# This file created by conda-build 3.18.10
# meta.yaml template originally from:
# /Users/gitlab/builds/b6d3167a/2/bob/bob.io.video/conda, last modified Mon Oct 28 15:13:52 2019
# ------------------------------------------------

package:
    name: bob.io.video
    version: 3.0.1
build:
    entry_points:
        - bob_video_test.py = bob.io.video.script.video_test:main
    number: '0'
    run_exports:
        - bob.io.video >=3.0.1,<4.0a0
    script:
        - cd /Users/gitlab/builds/b6d3167a/2/bob/bob.io.video/conda/..
        - python setup.py install --single-version-externally-managed --record record.txt
    script_env:
        - DOCSERVER
    string: py36hcdf8d7b_0
requirements:
    build:
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_18
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_18
        - compiler-rt 4.0.1 hcfea43d_1
        - ld64 274.2 1
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libiconv 1.15 hdd342a3_7
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - pkg-config 0.29.2 h3efe00b_8
    host:
        - blas 1.0 mkl
        - bob.blitz 2.0.19 py36hd0b6011_0
        - bob.core 2.2.3 py36h0414480_1
        - bob.extension 3.2.0 py36hd50cb97_0
        - bob.io.base 3.0.6 py36he412bd5_1
        - boost 1.67.0 py36_4
        - bzip2 1.0.8 h1de35cc_0
        - ca-certificates 2019.10.16 0
        - certifi 2019.9.11 py36_0
        - click 7.0 py36_0
        - click-plugins 1.1.1 py_0
        - ffmpeg 4.0 h2047f9e_1
        - freetype 2.9.1 hb4e5f40_0
        - hdf5 1.10.2 hfa1e0ec_1
        - icu 58.2 h4b95b61_1
        - intel-openmp 2019.4 233
        - jpeg 9b he5867d9_2
        - libblitz 1.0.1 hd7a9176_0
        - libboost 1.67.0 hebc422b_4
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libopus 1.3 h1de35cc_0
        - libpng 1.6.37 ha441bb4_0
        - libtiff 4.0.10 hcb84e12_2
        - libvpx 1.7.0 h378b8a2_0
        - mkl 2019.4 233
        - mkl-service 2.3.0 py36hfbe908c_0
        - mkl_fft 1.0.14 py36h5e564d8_0
        - mkl_random 1.1.0 py36ha771720_0
        - ncurses 6.1 h0a44026_1
        - numpy 1.15.4 py36hacdab7b_0
        - numpy-base 1.15.4 py36h6575580_0
        - olefile 0.46 py36_0
        - openh264 1.7.0 h89e8454_1
        - openssl 1.1.1d h1de35cc_3
        - pillow 6.1.0 py36hb68e598_0
        - py-boost 1.67.0 py36h6440ff4_4
        - python 3.6.9 h359304d_0
        - readline 7.0 h1de35cc_5
        - setuptools 41.0.1 py36_0
        - six 1.12.0 py36_0
        - sqlite 3.30.1 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
        - zstd 1.3.7 h5bba6e5_0
    run:
        - bob.blitz >=2.0.19,<3.0a0
        - bob.core >=2.2.3,<3.0a0
        - bob.extension >=3.2.0,<4.0a0
        - bob.io.base >=3.0.6,<4.0a0
        - boost >=1.67.0,<1.67.1.0a0
        - ffmpeg >=4.0,<4.1.0a0
        - libblitz >=1.0.1,<1.0.2.0a0
        - libcxx >=4.0.1
        - numpy >=1.15.4,<2.0a0
        - pillow
        - python >=3.6,<3.7.0a0
        - setuptools
test:
    commands:
        - bob_video_test.py --help
        - nosetests --with-coverage --cover-package=bob.io.video -sv bob.io.video
        - sphinx-build -aEW /Users/gitlab/builds/b6d3167a/2/bob/bob.io.video/conda/../doc
            /Users/gitlab/builds/b6d3167a/2/bob/bob.io.video/conda/../sphinx
        - sphinx-build -aEb doctest /Users/gitlab/builds/b6d3167a/2/bob/bob.io.video/conda/../doc
            sphinx
        - conda inspect linkages -p $PREFIX bob.io.video
        - conda inspect objects -p $PREFIX bob.io.video
    imports:
        - bob.io.video
    requires:
        - bob-devel 2019.10.17.*
        - coverage
        - nose
        - psutil
        - sphinx
        - sphinx_rtd_theme
about:
    home: https://www.idiap.ch/software/bob/
    license: BSD 3-Clause
    license_family: BSD
    summary: Video I/O support for Bob
extra:
    copy_test_source_files: true
    final: true
